<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.casic.missiles.mapper.workbench.WorkbenchApprovalMessageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.casic.missiles.model.workbench.WorkbenchApprovalMessage">
        <id column="id" property="id" />
        <result column="notice_id" property="noticeId" />
        <result column="notice_dept_id" property="noticeDeptId" />
        <result column="message_title" property="messageTitle" />
        <result column="message_content" property="messageContent" />
        <result column="message_type" property="messageType" />
        <result column="message_source_module" property="messageSourceModule" />
        <result column="form_id" property="formId" />
        <result column="status" property="status" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, notice_id, notice_dept_id, message_title, message_content, message_type, message_source_module, form_id, status, create_time, update_time
    </sql>

</mapper>
